<form method="POST" class="card-content">

    <div class="card-header">
        <button type="submit" name="submit_save" class="btn-unstyled record-btn">
            <img src="{{ url_for('static', filename='img/floppy-disk-solid.svg') }}" />
        </button>
        <label for="category_name_input" class="card-title">Submit</label>
        <button type="submit" name="submit_help" class="btn-unstyled record-btn wip" title="Tutorial is currently WIP for this widget">
            <img src="{{ url_for('static', filename='img/circle-question-solid.svg') }}" />
        </button>
    </div>

    <div class="card-btn-row card-btn-seg10">
        {% for option in SubmitType if option.value != 0 %}
            <button type="submit" name="submit_type_input" value="{{ option.name }}"
                    class="btn-unstyled card-btn card-btn-mini card-btn-sub50
                        {% if user_records.options.submit_type == option %} card-btn-active{% endif %}">
                {{ option.name }} group
            </button>
        {% endfor %}
    </div>

    <div class="card-btn-row card-btn-seg20">

        {% if user_records.options.submit_type == SubmitType['Select'] %}

            <select id="category_name_input" name="category_name_input" class="select">

                <option class="select-options" value="uncategorized"
                        {% if user_records.options.category == 'uncategorized' %} selected{% endif %}>
                    Uncategorized
                </option>
                {% for category in user_distribution.categories %}
                    <option class="select-options" value={{ category }}
                            {% if category.lower() == user_records.options.category %} selected{% endif %}>
                        {{ category.capitalize() }}
                    </option>
                {% endfor %}
        
            </select>

            <div class="select-arrow">❯</div>

        {% elif user_records.options.submit_type == SubmitType['Enter'] %}

            <input type="text" id="category_name_input" class="card-input" name="category_name_input" placeholder="Category name" onfocus="this.select()" value="{{ user_records.options.category.capitalize() }}">

        {% else %}

            <input type="hidden" id="category_name_input" name="category_name_input" value="">

        {% endif %}

    </div>

    <div class="card-btn-row card-btn-seg20">
        <button type="submit" name="add_record" class="btn-unstyled record-btn record-btn-big">
            <img src="{{ url_for('static', filename='img/file-import-solid.svg') }}" />
        </button>
    </div>

</form>
